[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# LFNSupport

Constant describing support for long filenames.

## Declaration

Source position: sysunixh.inc line 29

`const LFNSupport = True;`

## Description

LFNSupport determines whether the current OS supports long file names, i.e. filenames that are not of the form 8.3 as on ancient DOS systems. If the value of this constant is True then long filenames are supported. If it is false, then not.

This constant is part of a set of constants that describe the OS characteristics. These constants should be used instead of hardcoding OS characteristics.

Documentation generated on: Feb 26 2014